- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d9bd38bd-8755-44ae-9940-35cb5e44e2e1
    creation_time: 2023-02-17T12:05:07.633363Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/overflow_1-1.c
      input_file_hashes:
        c/loop-acceleration/overflow_1-1.c: 0590736743c18ebce50a6d0f77e9fc85deef542ee50a2e7c24805789d5b67791
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/overflow_1-1.c
    file_hash: 0590736743c18ebce50a6d0f77e9fc85deef542ee50a2e7c24805789d5b67791
    line: 15
    column: 0
    function: main
  loop_invariant:
    string: x%2 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 30ac7809-f0c5-4cf3-b0be-01cdf72afca7
    creation_time: 2023-02-17T12:05:07.633634Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/overflow_1-1.c
      input_file_hashes:
        c/loop-acceleration/overflow_1-1.c: 0590736743c18ebce50a6d0f77e9fc85deef542ee50a2e7c24805789d5b67791
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/overflow_1-1.c
    file_hash: 0590736743c18ebce50a6d0f77e9fc85deef542ee50a2e7c24805789d5b67791
    line: 19
    column: 0
    function: main
  location_invariant:
    string: x%2 == 0
    type: assertion
    format: C

